Magister Iris:
This brass piece? It is part of a crown! However ... it's not the crown of a ruler, but a portion of the crown worn by priests during ceremonies. Look at these delicate carvings ... Beautiful, aren't they? It doesn't look like this item was made thousands of years ago, does it?
Thank you very much. The relics you have brought me will all be used as research material by the historical research society of the Ivory Tower. Take pride in the fact that you have played a part in revealing our forgotten past.
Return